Skip to main content
GET
/
accounting_new
/
journal_entries
Get journal entries
curl --request GET \
  --url https://api.zenskar.com/accounting_new/journal_entries \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Query Parameters

cursor
string | null
limit
integer | null
search_query
string | null
order
string | null
default:-created_at
id
string<uuid> | null
id__in
string | null
posted_at
string<date-time> | null
posted_at__in
string | null
posted_at__gt
string<date-time> | null
posted_at__gte
string<date-time> | null
posted_at__lt
string<date-time> | null
posted_at__lte
string<date-time> | null
description
string | null
description__ilike
string | null
event
string | null
event__in
string | null
status_type
enum<string> | null
Available options:
pending,
forecasted,
estimated,
posted
status_type__in
string | null
job_id
string<uuid> | null
lines__id
string<uuid> | null
lines__id__in
string | null
lines__account_id
string<uuid> | null
lines__account_id__in
string | null
lines__journal_entry_id
string<uuid> | null
lines__journal_entry_id__in
string | null
lines__currency
string | null
lines__currency__in
string | null
lines__customer_id
string<uuid> | null
lines__customer_id__in
string | null
lines__contract_id
string<uuid> | null
lines__contract_id__in
string | null
lines__invoice_id
string<uuid> | null
lines__invoice_id__in
string | null
lines__credit_note_id
string<uuid> | null
lines__credit_note_id__in
string | null
lines__tax_jurisdiction_id
string<uuid> | null
lines__tax_jurisdiction_id__in
string | null
lines__payment_id
string<uuid> | null
lines__payment_id__in
string | null
lines__refund_id
string<uuid> | null
lines__refund_id__in
string | null
lines__revenue_contract_id
string<uuid> | null
lines__revenue_contract_id__in
string | null
lines__revenue_contract_item_id
string<uuid> | null
lines__revenue_contract_item_id__in
string | null
lines__performance_obligation_id
string<uuid> | null
lines__performance_obligation_id__in
string | null
lines__product_id
string<uuid> | null
lines__product_id__in
string | null
lines__credits
integer | null
lines__credits__neq
integer | null
lines__credits__gt
integer | null
lines__credits__gte
integer | null
lines__credits__lt
integer | null
lines__credits__lte
integer | null
lines__debits
integer | null
lines__debits__neq
integer | null
lines__debits__gt
integer | null
lines__debits__gte
integer | null
lines__debits__lt
integer | null
lines__debits__lte
integer | null
account__id
string<uuid> | null
account__id__in
string | null
account__name
string | null
account__name__ilike
string | null
account__description
string | null
account__account_category
enum<string> | null
Available options:
Assets,
Liabilities,
Equity,
Income,
Expenses
account__account_category__in
string | null
account__parent_path
string | null
account__parent_path__ilike
string | null
account__balance_normality
enum<string> | null
Available options:
credit,
debit
account__balance_normality__in
string | null
account__is_parent
boolean | null

Response

Successful Response